/* 인트로 섹션 */
#intro {
  padding: 120px 0px 140px 0px;
  background-color: var(--gray-000);
}

@media (max-width: 1279px) {
  #intro {
    padding: 100px 0px 120px 0px;
  }
}

@media (max-width: 767px) {
  #intro {
    padding: 80px 0px 100px 0px;
  }
}

.intro-title {
  margin-bottom: 24px;
}

.description {
  margin-bottom: 40px;
  font-size: 16px;
  color: var(--gray-700);
}

.highlight {
  color: var(--blue-500);
  font-weight: 700;
}

.features-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  margin-top: 80px;
}

@media (max-width: 767px) {
  .features-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 40px 24px;
  }
}

.icon-feature-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  flex: 1;
}

.icon-circle {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  border: 1px solid var(--blue-600);
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 1279px) {
  .icon-circle {
    width: 160px;
    height: 160px;
  }
}

@media (max-width: 767px) {
  .icon-circle {
    width: 152px;
    height: 152px;
  }
}

.icon-img {
  width: 100px;
  height: 100px;
  object-fit: contain;
}

@media (max-width: 767px) {
  .icon-img {
    width: 90px;
    height: 90px;
  }
}

.feature-title {
  margin-top: 24px;
  color: var(--gray-700);
}

/* 흐름 섹션 */
#evolution {
  background-color: var(--white);
}

#evolution-container {
  padding-bottom: 86px;
  border-bottom: 1px solid var(--gray-300);
}

.evolution-description {
  margin-top: 24px;
  color: var(--gray-700);
  padding-bottom: 60px;
}

.evolution-card-grid {
  gap: 24px;
  margin-top: 60px;
  display: flex;
}

@media (max-width: 1279px) {
  .evolution-card-grid {
    flex-direction: column;
  }
}

.evolution-card {
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding-bottom: 20px;
  flex: 1;
}

.evolution-card-image {
  width: 100%;
  height: 292px;
}

@media (max-width: 1279px) {
  .evolution-card-image {
    height: 200px;
  }
}

.evolution-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.evolution-card-title {
  color: var(--black);
}

.evolution-card-subtitle {
  color: var(--gray-700);
}

/* FAQ 섹션 */
#faq {
  margin-top: 24px;
}

/* FAQ 아이템 */
.faq-item {
  padding: 24px 30px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

@media (max-width: 1279px) {
  .faq-item {
    padding: 24px;
  }
}

@media (max-width: 767px) {
  .faq-item {
    padding: 24px 0px;
  }
}

.faq-link {
  text-decoration: none;
  transition: color 0.3s ease;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.faq-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.faq-title {
  display: flex;
  gap: 12px;
  align-items: center;
}

.faq-title-q {
  color: var(--blue-500);
}

.faq-title-question {
  color: var(--black);
}

.faq-toggle-btn {
  width: 36px;
  height: 36px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
  cursor: pointer;
}

.faq-toggle-btn img {
  width: 24px;
  height: 24px;
}

.faq-content {
  display: flex;
  gap: 12px;
  margin-left: 32px;
}

.faq-content-a {
  color: var(--gray-700);
}

.faq-content-answer {
  color: var(--gray-700);
}
/* FAQ 아이템 */
